## gigolo 0.3.2

=== wscript ===
#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# WAF build script
#
# Copyright 2008-2009 Enrico Tröger <enrico(at)xfce(dot)org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# $Id: wscript 7230 2009-04-18 14:31:35Z enrico $



import Build, Configure, Options, Utils, UnitTest
import sys, os, shutil


APPNAME = 'gigolo'
VERSION = '0.3.2'

srcdir = '.'
blddir = '_build_'


sources = [ 'src/compat.c', 'src/window.c', 'src/bookmark.c', 'src/settings.c',
			'src/menubuttonaction.c', 'src/mountoperation.c', 'src/bookmarkdialog.c',
			'src/bookmarkeditdialog.c', 'src/preferencesdialog.c', 'src/backendgvfs.c',
			'src/common.c', 'src/mountdialog.c', 'src/browsenetworkpanel.c',
			'src/singleinstance.c' ]



def configure(conf):
	conf.check_tool('compiler_cc intltool misc gnu_dirs')

	conf.check_cfg(package='gtk+-2.0', atleast_version='2.12.0', uselib_store='GTK',
		mandatory=True, args='--cflags --libs')
	conf.check_cfg(package='gio-2.0', atleast_version='2.16.0', uselib_store='GIO',
		mandatory=True, args='--cflags --libs')

	gtk_version = conf.check_cfg(modversion='gtk+-2.0', uselib_store='GTK')
	gio_version = conf.check_cfg(modversion='gio-2.0', uselib_store='GIO')

	conf.define('GETTEXT_PACKAGE', APPNAME, 1)
	conf.define('PACKAGE', APPNAME, 1)
	conf.define('VERSION', VERSION, 1)

	conf.write_config_header('config.h')

	# debug flags
	if Options.options.debug:
		conf.env.append_value('CCFLAGS', '-g -O0 -DDEBUG '.split())

	Utils.pprint('BLUE', 'Summary:')
	print_message(conf, 'Install Gigolo ' + VERSION + ' in', conf.env['PREFIX'])
	print_message(conf, 'Using GTK version', gtk_version or 'Unknown')
	print_message(conf, 'Using GIO version', gio_version or 'Unknown')
	print_message(conf, 'Compiling with debugging support', Options.options.debug and 'yes' or 'no')


def set_options(opt):
	opt.tool_options('compiler_cc')
	opt.tool_options('intltool')
	opt.tool_options('gnu_dirs')

	# Features
	opt.add_option('--enable-debug', action='store_true', default=False,
		help='enable debug mode [default: No]', dest='debug')
	opt.add_option('--update-po', action='store_true', default=False,
		help='update the message catalogs for translation', dest='update_po')


def build(bld):
	def add_tests(bld):
		tests = os.listdir('tests')
		for test in tests:
			if test[-2:] != '.c':
				continue
			target = test[:-2]
			source = os.path.join("tests", test)

		bld.new_task_gen(
			features		= 'cc cprogram',
			target			= 'test-' + target,
			source			= source,
			includes		= '. src',
			uselib			= 'GTK GIO',
			uselib_local	= 'gigolo_lib',
			unit_test		= 1,
			install_path	= None
		)


	bld.new_task_gen(
		features		= 'cc cstaticlib',
		name			= 'gigolo_lib',
		target			= 'gigolo_lib',
		source			= sources,
		includes		= '.',
		uselib			= 'GTK GIO',
		install_path	= None
	)

	bld.new_task_gen(
		features		= 'cc cprogram',
		name			= 'gigolo',
		target			= 'gigolo',
		source			= 'src/main.c',
		includes		= '.',
		uselib			= 'GTK GIO',
		uselib_local	= 'gigolo_lib',
	)

	if Options.commands['check']:
		add_tests(bld)

	# Translations
	bld.new_task_gen(
		features		= 'intltool_po',
		podir			= 'po',
		appname			= 'gigolo'
	)

	# gigolo.desktop
	bld.new_task_gen(
		features		= 'intltool_in',
		source			= 'gigolo.desktop.in',
		flags			= '-d',
		install_path	= '${DATADIR}/applications'
	)

	# gigolo.1
	bld.new_task_gen(
		features		= 'subst',
		source			= 'gigolo.1.in',
		target			= 'gigolo.1',
		dict			= { 'VERSION' : VERSION },
		install_path	= '${MANDIR}/man1'
	)

	# Docs
	bld.install_files('${DOCDIR}', 'AUTHORS ChangeLog COPYING README NEWS TODO')


def dist():
	import md5
	from Scripting import dist, excludes
	excludes.append('gigolo-%s.tar.bz2.sig' % VERSION)
	filename = dist(APPNAME, VERSION)
	f = file(filename,'rb')
	m = md5.md5()
	readBytes = 100000
	while (readBytes):
		readString = f.read(readBytes)
		m.update(readString)
		readBytes = len(readString)
	f.close()
	launch('gpg --detach-sign --digest-algo SHA512 %s' % filename, 'Signing %s' % filename)
	print 'MD5 sum:', filename, m.hexdigest()
	sys.exit(0)


def shutdown():
	# the following code was taken from midori's WAF script, thanks
	# (disabled because we don't need it at all as long as we don't have an own icon :( )
	#~ if Options.commands['install'] or Options.commands['uninstall']:
		#~ dir = Build.bld.get_install_path('${DATADIR}/icons/hicolor')
		#~ icon_cache_updated = False
		#~ if not Options.options.destdir:
			#~ try:
				#~ if not Utils.exec_command('gtk-update-icon-cache -q -f -t %s' % dir):
					#~ Utils.pprint('YELLOW', "Updated Gtk icon cache.")
					#~ icon_cache_updated = True
			#~ except:
				#~ Utils.pprint('RED', "Failed to update icon cache.")
		#~ if not icon_cache_updated:
			#~ Utils.pprint('YELLOW', "Icon cache not updated. After install, run this:")
			#~ Utils.pprint('YELLOW', "gtk-update-icon-cache -q -f -t %s" % dir)
	if Options.options.update_po:
		os.chdir(os.path.join(srcdir, 'po'))
		try:
			try:
				size_old = os.stat('gigolo.pot').st_size
			except:
				size_old = 0
			Utils.exec_command(['intltool-update', '--pot', '-g', APPNAME])
			size_new = os.stat('gigolo.pot').st_size
			if size_new != size_old:
				Utils.pprint('CYAN', 'Updated POT file.')
				launch('intltool-update -r %s' % APPNAME, 'Updating translations', 'CYAN')
			else:
				Utils.pprint('CYAN', 'POT file is up to date.')
		except:
			Utils.pprint('RED', 'Failed to generate pot file.')
		os.chdir('..')


def check(ch):
	test = UnitTest.unit_test()
	test.change_to_testfile_dir = False
	test.want_to_see_test_output = True
	test.want_to_see_test_error = True
	test.run()
	test.print_results()


# Simple function to execute a command and print its exit status
def launch(command, status, success_color='GREEN'):
	ret = 0
	Utils.pprint(success_color, status)
	try:
		ret = Utils.exec_command(command.split())
	except:
		ret = 1

	if ret != 0:
		Utils.pprint('RED', status + ' failed')

	return ret

def print_message(conf, msg, result, color = 'GREEN'):
	conf.check_message_1(msg)
	conf.check_message_2(result, color)

## gigolo 0.4.0

=== wscript ===
--- 
+++ 
@@ -18,16 +18,17 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-# $Id: wscript 7230 2009-04-18 14:31:35Z enrico $
-
-
-
+# $Id$
+
+
+
+from TaskGen import taskgen, feature
 import Build, Configure, Options, Utils, UnitTest
 import sys, os, shutil
 
 
 APPNAME = 'gigolo'
-VERSION = '0.3.2'
+VERSION = '0.4.0'
 
 srcdir = '.'
 blddir = '_build_'
@@ -37,7 +38,7 @@
 			'src/menubuttonaction.c', 'src/mountoperation.c', 'src/bookmarkdialog.c',
 			'src/bookmarkeditdialog.c', 'src/preferencesdialog.c', 'src/backendgvfs.c',
 			'src/common.c', 'src/mountdialog.c', 'src/browsenetworkpanel.c',
-			'src/singleinstance.c' ]
+			'src/singleinstance.c', 'src/bookmarkpanel.c' ]
 
 
 
@@ -48,6 +49,7 @@
 		mandatory=True, args='--cflags --libs')
 	conf.check_cfg(package='gio-2.0', atleast_version='2.16.0', uselib_store='GIO',
 		mandatory=True, args='--cflags --libs')
+	conf.check_cfg(package='x11', uselib_store='X11', mandatory=True, args='--libs')
 
 	gtk_version = conf.check_cfg(modversion='gtk+-2.0', uselib_store='GTK')
 	gio_version = conf.check_cfg(modversion='gio-2.0', uselib_store='GIO')
@@ -79,6 +81,19 @@
 		help='enable debug mode [default: No]', dest='debug')
 	opt.add_option('--update-po', action='store_true', default=False,
 		help='update the message catalogs for translation', dest='update_po')
+
+
+@taskgen
+@feature('intltool_po')
+def write_linguas_file(self):
+	linguas = ''
+	files = os.listdir('%s/po' % self.path.abspath())
+	for f in files:
+		if f.endswith('.po'):
+			linguas += '%s ' % f[:-3]
+	f = open("po/LINGUAS", "w")
+	f.write('# This file is autogenerated. Do not edit.\n%s\n' % linguas)
+	f.close()
 
 
 def build(bld):
@@ -118,7 +133,7 @@
 		target			= 'gigolo',
 		source			= 'src/main.c',
 		includes		= '.',
-		uselib			= 'GTK GIO',
+		uselib			= 'GTK GIO X11',
 		uselib_local	= 'gigolo_lib',
 	)
 
@@ -136,7 +151,7 @@
 	bld.new_task_gen(
 		features		= 'intltool_in',
 		source			= 'gigolo.desktop.in',
-		flags			= '-d',
+		flags			= [ '-d', '-q', '-u', '-c' ],
 		install_path	= '${DATADIR}/applications'
 	)

=== debian/changelog ===
gigolo (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01_fix-ftbfs-gold dropped, included upstream.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 31 Dec 2009 12:13:03 +0100

gigolo (0.3.2-2) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * debian/control:
    - remove cdbs from build-deps, thanks Lionel Le Folgoc.
    - update standards versions to 3.8.3.
  * debian/watch:
    - update url for the Xfce archive reorganisation.
  * convert package to 3.0 (quilt) format.
  * debian/patches:
    - 01_fix-ftbfs-gold added, fix FTBFS with binutils-gold.    closes: #554549

  [ Evgeni Golov ]
  * Fix Vcs-* fields, they were missing 'trunk' in the path.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 06 Nov 2009 08:19:43 +0100

gigolo (0.3.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - update homepage address.
    - correct GVfs case in descriptions.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 19 Apr 2009 20:52:10 +0200

gigolo (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - move gigolo to xfce section and -dbg package to debug.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 05 Apr 2009 14:09:05 +0200

gigolo (0.3.0-1) unstable; urgency=low

  * New upstream release, upload to unstable.
  * debian/control:
    - update standards version to 3.8.1.
    - update debhelper build-dep to 7.0.50.
  * debian/rules:
    - use overrides to call dh_install with --fail-missing.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 04 Apr 2009 02:17:42 +0200

gigolo (0.2.1-1) experimental; urgency=low

  * Initial Release.                                            closes: #510558

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 28 Feb 2009 21:21:50 +0100

=== debian/control ===
Source: gigolo
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>, Emanuele Rocca <ema@debian.org>, Simon Huggins <huggie@earth.li>, Stefan Ott <stefan@ott.net>
Build-Depends: debhelper (>= 7.0.50), python, intltool, pkg-config,
  libgtk2.0-dev (>= 2.12.0)
Standards-Version: 3.8.3
Homepage: http://www.uvena.de/gigolo/
Vcs-Svn: svn://svn.debian.org/pkg-xfce/goodies/trunk/gigolo/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/goodies/trunk/gigolo/

Package: gigolo
Section: xfce
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gvfs-bin
Description: frontend to manage connections to remote filesystems using GIO/GVfs
 Gigolo is a frontend to easily manage connections to remote filesystems
 using GIO/GVfs. It allows you to quickly connect/mount a remote filesystem
 and manage bookmarks of such.

Package: gigolo-dbg
Section: debug
Architecture: any
Priority: extra
Depends: gigolo (= ${binary:Version}), ${misc:Depends}
Description: frontend to manage connections to remote filesystems using GIO/GVfs (debug)
 Gigolo is a frontend to easily manage connections to remote filesystems
 using GIO/GVfs. It allows you to quickly connect/mount a remote filesystem
 and manage bookmarks of such.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

WAF = ./waf --nocache

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(WAF) distclean
	dh_clean

build: build-stamp
build-stamp:
	dh build --before configure
	$(WAF) configure --prefix=/usr
	$(WAF) build
	dh build --after build
	touch build-stamp

install: build install-stamp
install-stamp:
	dh install --before dh_auto_install
	$(WAF) install --destdir=$(CURDIR)/debian/tmp
	# remove spurious doc files
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/gigolo/ChangeLog 
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/gigolo/COPYING
	dh install --after dh_auto_install
	touch install-stamp

override_dh_install:
	dh_install --fail-missing

binary-arch: install
	dh binary-arch --before dh_strip
	dh_strip --dbg-package=gigolo-dbg
	dh binary-arch --after dh_strip

binary-indep: install
	dh binary-indep

binary: binary-arch binary-indep

## gigolo 0.4.1

=== wscript ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 # WAF build script
 #
-# Copyright 2008-2009 Enrico Tröger <enrico(at)xfce(dot)org>
+# Copyright 2008-2010 Enrico Tröger <enrico(at)xfce(dot)org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,8 +17,6 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-#
-# $Id$
 
 
 
@@ -28,7 +26,7 @@
 
 
 APPNAME = 'gigolo'
-VERSION = '0.4.0'
+VERSION = '0.4.1'
 
 srcdir = '.'
 blddir = '_build_'
@@ -60,6 +58,9 @@
 
 	conf.write_config_header('config.h')
 
+	if 'LINGUAS' in os.environ:
+		conf.env['LINGUAS'] = os.environ['LINGUAS']
+
 	# debug flags
 	if Options.options.debug:
 		conf.env.append_value('CCFLAGS', '-g -O0 -DDEBUG '.split())
@@ -87,10 +88,17 @@
 @feature('intltool_po')
 def write_linguas_file(self):
 	linguas = ''
-	files = os.listdir('%s/po' % self.path.abspath())
-	for f in files:
-		if f.endswith('.po'):
-			linguas += '%s ' % f[:-3]
+	if 'LINGUAS' in Build.bld.env:
+		files = Build.bld.env['LINGUAS']
+		for po_filename in files.split(' '):
+			if os.path.exists('po/%s.po' % po_filename):
+				linguas += '%s ' % po_filename
+	else:
+		files = os.listdir('%s/po' % self.path.abspath())
+		files.sort()
+		for f in files:
+			if f.endswith('.po'):
+				linguas += '%s ' % f[:-3]
 	f = open("po/LINGUAS", "w")
 	f.write('# This file is autogenerated. Do not edit.\n%s\n' % linguas)
 	f.close()

=== debian/changelog ===
gigolo (0.4.1-3) unstable; urgency=low

  * debian/rules:
    - add hardening flags to build flags.
    - remove ChangeLog, AUTHORS and COPYING from install dir.
  * debian/control:
    - add build-dep on hardening-includes

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 04 Sep 2011 22:26:07 +0200

gigolo (0.4.1-2) unstable; urgency=low

  * debian/rules:
    - drop waf completely, use autogen.sh to get a standard autotools.
      interface.
  * debian/control:
    - drop python build-dep
    - update standards version to 3.9.2. 

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 20 Apr 2011 12:49:42 +0200

gigolo (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - update standards version to 3.9.1.
  * debian/rules, debian/waf-runner-append:
    - fix FTBFS on hppa by patching waf at build time. *yurk*
  * debian/rules:
    - call dpkg-buildflags for CFLAGS and LDFLAGS, add --as-needed to LDFLAGS.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 01 Aug 2010 23:28:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>, Emanuele Rocca <ema@debian.org>, Simon Huggins <huggie@earth.li>, Stefan Ott <stefan@ott.net>
-Build-Depends: debhelper (>= 7.0.50), python, intltool, pkg-config,
-  libgtk2.0-dev (>= 2.12.0)
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 7.0.50), intltool, pkg-config,
+  libgtk2.0-dev (>= 2.12.0), hardening-includes
+Standards-Version: 3.9.2
 Homepage: http://www.uvena.de/gigolo/
 Vcs-Svn: svn://svn.debian.org/pkg-xfce/goodies/trunk/gigolo/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/goodies/trunk/gigolo/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/hardening-includes/hardening.make

CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS+=$(HARDENING_LDFLAGS) -Wl,-z,defs -Wl,--as-needed -Wl,-O1
CFLAGS+=$(HARDENING_CFLAGS)

export CFLAGS LDFLAGS

%:
	dh $@

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure

override_dh_install:
	rm debian/tmp/usr/share/doc/gigolo/ChangeLog
	rm debian/tmp/usr/share/doc/gigolo/COPYING
	rm debian/tmp/usr/share/doc/gigolo/AUTHORS
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=gigolo-dbg

## gigolo 0.4.1+dfsg

=== debian/changelog ===
gigolo (0.4.1+dfsg-1) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * Drop unused waf scripts, we use the alternate autotools-based build
    system already.                                             closes: #654468
  * debian/rules:
    - clean up autogenerated files during clean.
    - add a get-orig-source rule to drop the waf related files from the
      tarball.
  * debian/watch:
    - demangle destination file.

  [ Yves-Alexis Perez ]
  * Add Lionel to uploaders.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Mon, 22 Oct 2012 21:56:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: xfce
 Priority: optional
 Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
-Uploaders: Yves-Alexis Perez <corsac@debian.org>, Emanuele Rocca <ema@debian.org>, Simon Huggins <huggie@earth.li>, Stefan Ott <stefan@ott.net>
+Uploaders: Yves-Alexis Perez <corsac@debian.org>, Emanuele Rocca <ema@debian.org>, Simon Huggins <huggie@earth.li>, Stefan Ott <stefan@ott.net>, Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: debhelper (>= 7.0.50), intltool, pkg-config,
   libgtk2.0-dev (>= 2.12.0), hardening-includes
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,22 @@
 
 export CFLAGS LDFLAGS
 
+# get-orig-source to drop waf
+upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
+dfsg_version = $(upstream_version)+dfsg
+pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
+
 %:
 	dh $@
 
 override_dh_auto_configure:
 	./autogen.sh
 	dh_auto_configure
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f $$(find -name 'Makefile.in*')
+	rm -f INSTALL aclocal.m4 config.h.in configure depcomp install-sh missing mkinstalldirs
 
 override_dh_install:
 	rm debian/tmp/usr/share/doc/gigolo/ChangeLog
@@ -24,3 +34,12 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=gigolo-dbg
+
+get-orig-source:
+	uscan --noconf --force-download --rename --repack --download-current-version --destdir=.
+	tar -xzf $(pkg)_$(upstream_version).orig.tar.gz
+	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
+	cd $(pkg)-$(dfsg_version) ; rm -f waf wscript configure
+	sed -i -e '/waf/d' -e '/wscript/d' $(pkg)-$(dfsg_version)/Makefile.am
+	GZIP="-9fn" tar -czf $(pkg)_$(dfsg_version).orig.tar.gz $(pkg)-$(dfsg_version)
+	rm -rf $(pkg)-$(dfsg_version)

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
http://archive.xfce.org/src/apps/gigolo/([\d\.]+)/ \
	gigolo-([\d\.]+)\.tar\.(?:gz|bz2)

## gigolo 0.4.2

=== debian/changelog ===
gigolo (0.4.2-1) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * New upstream release
    - Drop waf support, we no longer need to repack
    - Never make the Connect button insensitive. LP: #1131156
  * debian/control:
    - Bump debhelper to 9
    - Drop hardening-includes, no longer needed
    - Bump standards-version to 3.9.5
  * debian/rules: 
    - Switch from hardening includes to debhelper 9 hardening
    - Add --disable-silent-rules to configure
  * debian/compat: Bump to 9

  [ Yves-Alexis Perez ]
  * debian/rules:
    - stop calling autogen.sh before configure.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 09 Jan 2014 23:00:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>, Emanuele Rocca <ema@debian.org>, Simon Huggins <huggie@earth.li>, Stefan Ott <stefan@ott.net>, Lionel Le Folgoc <mrpouit@gmail.com>
-Build-Depends: debhelper (>= 7.0.50), intltool, pkg-config,
-  libgtk2.0-dev (>= 2.12.0), hardening-includes
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), intltool, pkg-config,
+  libgtk2.0-dev (>= 2.12.0)
+Standards-Version: 3.9.5
 Homepage: http://www.uvena.de/gigolo/
-Vcs-Svn: svn://svn.debian.org/pkg-xfce/goodies/trunk/gigolo/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/goodies/trunk/gigolo/
+Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/gigolo/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/gigolo/
 
 Package: gigolo
 Section: xfce

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

override_dh_install:
	rm debian/tmp/usr/share/doc/gigolo/ChangeLog
	rm debian/tmp/usr/share/doc/gigolo/COPYING
	rm debian/tmp/usr/share/doc/gigolo/AUTHORS
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=gigolo-dbg

=== debian/watch ===
version=3
http://archive.xfce.org/src/apps/gigolo/([\d\.]+)/ \
	gigolo-([\d\.]+)\.tar\.(?:gz|bz2)

## gigolo 0.4.91

=== debian/changelog ===
gigolo (0.4.91-0ubuntu1) devel; urgency=medium

  * New upstream release.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 28 Mar 2019 06:38:23 -0400

gigolo (0.4.90-1) experimental; urgency=medium

  * Moved the package to git on salsa.debian.org
  * Updated the maintainer address to debian-xfce@lists.debian.org
                                                                closes: 899525
  * d/gbp.conf added, following DEP-14
  * d/watch: use HTTPS protocol
  * New upstream version 0.4.90
  * d/control: drop Emanuele, Simon, Lionel and Stefan from uploaders
  * d/control: update standards version to 4.2.1
  * d/control: update build-deps for new release
  * d/control: drop duplicate section field
  * migrate to gbp pq and fix a typo

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 15 Dec 2018 14:35:52 +0100

gigolo (0.4.2-2) unstable; urgency=medium

  * debian/patches:
    - 01_migrate-gvfs-command added, replace gvfs-open by gio open as default
    open command.
  * debian/control:
    - replace gvfs-bin by libglib2.0-bin in Recommends          closes: #877744
    - run wrap-and-sort
    - update standards version to 4.4.1. 
    - drop -dbg package.
  * debian/rules:
    - migrate to dbgsym package.
    - use debian/gigolo instead of debian/tmp in file removals, since we only
    have one binary package now. 
    - drop list-missing since we install everything.
  * debian/gigolo.install dropped since we only have one package.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 15 Oct 2017 16:08:34 +0200

=== debian/control ===
Source: gigolo
Section: xfce
Priority: optional
Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>
Build-Depends: debhelper (>= 9),
               intltool,
               libgtk-3-dev,
               pkg-config
Standards-Version: 4.2.1
Homepage: http://www.uvena.de/gigolo/
Vcs-Git: https://salsa.debian.org/xfce-team/apps/gigolo.git
Vcs-Browser: https://salsa.debian.org/xfce-team/apps/gigolo

Package: gigolo
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libglib2.0-bin
Description: frontend to manage connections to remote filesystems using GIO/GVfs
 Gigolo is a frontend to easily manage connections to remote filesystems
 using GIO/GVfs. It allows you to quickly connect/mount a remote filesystem
 and manage bookmarks of such.
